---
updatedAt: 2026-09-29T11:06:14.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Add attachment to case note

# Overview

Use this method to attach a file to an existing case note.

<Callout icon="📘" theme="info">
  ### Note

  [A note must be added](https://docs.sumsub.com/sumsub/reference/add-case-note) to the case before attaching a file.
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View case management** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

## File requirements

* Maximum file size: 10 Mb.
* Supported file formats: `jpg`, `jpeg`, `png`, `pdf`, `doc`, `docx`, `xls`, `xlsx`, `odt`, `ods`, `csv`, `txt`.

# Request example

```curl
curl -X POST \
     'https://api.sumsub.com/resources/api/caseManagement/v2/cases/notes/attachments' \
     -H 'Content-Type: multipart/form-data' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -F 'metadata[id]=69ccd5fc9b24ddbbd2e00000' \
     -F 'metadata[caseId]=69cccf009b24ddbbd2e33333' \
     -F 'content=@example_image.png'
```

# Response explained

The response is a JSON object representing the note details. The following tables explain the response attributes.

| Field         | Type                                            | Description                                                                                                                         |
| :------------ | :---------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------- |
| `id`          | String                                          | Unique identifier of the note.                                                                                                      |
| `caseId`      | String                                          | Unique identifier of the case in the Sumsub system.                                                                                 |
| `note`        | String                                          | Text of the note.                                                                                                                   |
| `createdAt`   | Date                                            | Date and time when the note was added, in the format `yyyy-MM-dd HH:mm:ssZZ`.                                                       |
| `createdBy`   | String                                          | Identifies the entity that created the note: `Service` if created by the system, or a personal identifier if created by an officer. |
| `attachments` | [Array of objects](#attachments-element-fields) | An array where each object represents a file attached to the note. Returned only if at least one file is added to the note.         |
| `tags`        | Array of strings                                | The tags assigned to the note. Returned only if at least one tag is present.                                                        |

## `attachments` element fields

Each object in the `attachments` array represents a file attached to the note.

| Field       | Type    | Description                                                                   |
| :---------- | :------ | :---------------------------------------------------------------------------- |
| `id`        | String  | Unique file identifier.                                                       |
| `fileName`  | String  | File name.                                                                    |
| `createdAt` | Date    | Date and time when the file was added, in the format `yyyy-MM-dd HH:mm:ssZZ`. |
| `createdBy` | String  | Identifies the officer who added the file.                                    |
| `fileSize`  | Integer | File size, in bytes.                                                          |

# Response examples

If the request is sent and processed successfully, you will receive a response like the following:

```json
{
  "id": "69ccd5fc9b24ddbbd2e00000",
  "caseId": "69cccf009b24ddbbd2e33333",
  "note": "Api test note.",
  "createdAt": "2026-04-01 08:23:24+0000",
  "createdBy": "Service",
  "attachments": [
    {
      "id": "69e7441d9b0334cdca8a000f",
      "fileName": "file_name.png",
      "createdAt": "2026-04-21 09:32:13+0000",
      "createdBy": "officer.name@example.com",
      "fileSize": 25600
    }
  ]
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "description": "Malformed data provided in the request",
  "code": 400,
  "correlationId": "f23e05c9f1a0aa2beb83065f98dc0544"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/api/caseManagement/v2/cases/notes/attachments": {
      "post": {
        "description": "",
        "responses": {
          "200": {
            "description": ""
          }
        },
        "parameters": [
          {
            "in": "header",
            "name": "Content-Type",
            "schema": {
              "type": "string",
              "default": "multipart/form-data"
            },
            "description": "Indicates that metadata is uploaded into the JSON and binary of the image (content). The header is required for the system to correctly process and record data.",
            "required": true
          }
        ],
        "operationId": "post_resources-api-casemanagement-v2-cases-notes-attachments",
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "type": "object",
                "properties": {
                  "content": {
                    "type": "string",
                    "format": "binary",
                    "description": "Attachment file. <br><br>⚠️ You can add one file per request."
                  },
                  "metadata": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "description": "Unique identifier of the note to which you want to attach a file. You can obtain this identifier using the [Get case notes](https://docs.sumsub.com/sumsub/reference/get-case-notes) API method."
                      },
                      "caseId": {
                        "type": "string",
                        "description": "Unique case identifier. <br><br>You can find this identifier [in the Dashboard](https://cockpit.sumsub.com/checkus/caseMgmt/allCases?caseListStatus=open) when selecting a specific case, or save it when [creating a new case via API](https://docs.sumsub.com/sumsub/reference/create-case)."
                      }
                    },
                    "description": "Object that represents the note for the case.",
                    "required": [
                      "id",
                      "caseId"
                    ]
                  }
                },
                "required": [
                  "content",
                  "metadata"
                ]
              }
            }
          }
        },
        "summary": "Add attachment to case note"
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```